# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

- All
- Functions
- Typedefs
- Enumerations
- Enumerator

- a
- b
- d
- e
- f
- g
- h
- i
- m
- n
- p
- q
- r
- s
- t
- u
- v
- y
- z

### - a -

- ADD : dirac

### - b -

- BACKWARD : dirac
- BLOCK_SKIP_CTX : dirac

### - d -

- DC_FBIN1_CTX : dirac
- DC_FBIN2plus_CTX : dirac
- DC_INFO_CTX : dirac
- DC_SIGN_CTX : dirac

### - e -

- ERR_END_OF_STREAM : dirac
- ERR_INVALID_ASPECT_RATIO : dirac
- ERR_INVALID_CHROMA_FORMAT : dirac
- ERR_INVALID_FRAME_RATE : dirac
- ERR_INVALID_MOTION_VECTOR_PRECISION : dirac
- ERR_INVALID_SIGNAL_RANGE : dirac
- ERR_INVALID_VIDEO_DEPTH : dirac
- ERR_INVALID_VIDEO_FORMAT : dirac
- ERR_UNSUPPORTED_STREAM_DATA : dirac

### - f -

- FORWARD : dirac

### - g -

- gm_arrows : dirac_instr
- gm_colour : dirac_instr
- gm_colour_arrows : dirac_instr
- gm_diff_arrows : dirac_instr
- gm_diff_colour : dirac_instr
- gm_diff_colour_arrows : dirac_instr
- gm_inliers : dirac_instr

### - h -

- HORIZONTAL : dirac

### - i -

- INFO_CTX : dirac
- INTRA : dirac

### - m -

- MB_SPLIT_BIN1_CTX : dirac
- MB_SPLIT_BIN2_CTX : dirac
- MB_SPLIT_INFO_CTX : dirac
- motion_arrows : dirac_instr
- motion_colour : dirac_instr
- motion_colour_arrows : dirac_instr
- MV_FBIN1_CTX : dirac
- MV_FBIN2_CTX : dirac
- MV_FBIN3_CTX : dirac
- MV_FBIN4_CTX : dirac
- MV_FBIN5plus_CTX : dirac
- MV_INFO_CTX : dirac
- MV_SIGN_CTX : dirac

### - n -

- NZ_FBIN1nz_CTX : dirac
- NZ_FBIN1z_CTX : dirac
- NZ_FBIN2_CTX : dirac
- NZ_FBIN3_CTX : dirac
- NZ_FBIN4_CTX : dirac
- NZ_FBIN5_CTX : dirac
- NZ_FBIN6plus_CTX : dirac

### - p -

- PMODE_BIT0_CTX : dirac
- PMODE_BIT1_CTX : dirac
- pred_mode : dirac_instr
- PU_ACCESS_UNIT : dirac
- PU_AUXILIARY_DATA : dirac
- PU_END_OF_SEQUENCE : dirac
- PU_FRAME : dirac
- PU_LOW_DELAY_FRAME : dirac
- PU_PADDING_DATA : dirac
- PU_UNDEFINED : dirac

### - q -

- Q_OFFSET_FOLLOW_CTX : dirac
- Q_OFFSET_INFO_CTX : dirac
- Q_OFFSET_SIGN_CTX : dirac

### - r -

- REF1_ONLY : dirac
- REF1AND2 : dirac
- REF2_ONLY : dirac

### - s -

- SAD : dirac_instr
- SEVERITY_ACCESSUNIT_ERROR : dirac
- SEVERITY_FRAME_ERROR : dirac
- SEVERITY_NO_ERROR : dirac
- SEVERITY_SEQUENCE_ERROR : dirac
- SEVERITY_TERMINATE : dirac
- SEVERITY_WARNING : dirac
- SIGN0_CTX : dirac
- SIGN_NEG_CTX : dirac
- SIGN_POS_CTX : dirac
- split_mode : dirac_instr
- STAT_MV_BYTE_COUNT : dirac
- STAT_TOTAL_BYTE_COUNT : dirac
- STAT_UCOMP_BYTE_COUNT : dirac
- STAT_VCOMP_BYTE_COUNT : dirac
- STAT_YCOMP_BYTE_COUNT : dirac
- SUBTRACT : dirac

### - t -

- TOTAL_COEFF_CTXS : dirac
- TOTAL_MV_CTXS : dirac

### - u -

- U_COMP : dirac
- UNDEFINED : dirac

### - v -

- V_COMP : dirac
- VERTICAL : dirac

### - y -

- Y_COMP : dirac

### - z -

- Z_FBIN1nz_CTX : dirac
- Z_FBIN1z_CTX : dirac
- Z_FBIN2_CTX : dirac
- Z_FBIN3_CTX : dirac
- Z_FBIN4_CTX : dirac
- Z_FBIN5_CTX : dirac
- Z_FBIN6plus_CTX : dirac

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.